#include<math.h>
#include "vecdefs.h"
#include MATRIX_H 
#include "mvm.h"

MATRIX_double vandermonde(const VECTOR_double & v)
{
    
  int i;
  int j;
  {
 int  n = v.size();
     MATRIX_double van(n,n);
    for(i = 1;i <= n;i++)
    {
      van(i-1,0) = 1.0;
      for(j = 2;j <= n;j++)
        van(i-1,j-1) = pow(v[i-1],1.0*j-1.0);
    }
    return(van);
  }
}

